/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATUAMBI                                                      */
/* Tabela : AMBIENTE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 10/10/2006 - Eduardo H. C. Ramos                                           */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATUAMBI
BEFORE INSERT OR UPDATE OR DELETE
ON AMBIENTE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUAMBI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDAMBIENTE,0 ) <> NVL(:NEW.CDAMBIENTE,0)) OR
         (NVL(:OLD.NMAMBIENTE,0) <> NVL(:NEW.NMAMBIENTE,0)) THEN
         :NEW.DTULTATUAMBI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('AMBIENTE', '',         'CDAMBIENTE='||:OLD.CDAMBIENTE, SYSDATE);                  
   END IF;
END;
/

ALTER TABLE AMBIENTE MODIFY DTULTATUAMBI DEFAULT SYSDATE
/