/* Tabela PRODFILI: Produto por Filial */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela PRODFILI */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Produto por Filial,
             utilizando a tabela Geral de Logs de Operaes */


IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_EST_PRODFILI' AND
                 TYPE   = 'TR'               AND
	              U.UID  = O.UID              AND
	              U.NAME = USER)
DROP TRIGGER LOG_EST_PRODFILI
GO


CREATE TRIGGER LOG_EST_PRODFILI
ON PRODFILI
FOR UPDATE, DELETE
AS
   DECLARE  @V_USUARIO      VARCHAR(40);
   DECLARE  @V_TIPO         VARCHAR(1);
   DECLARE  @V_ITPESQ       VARCHAR(40);
   DECLARE  @V_DESC         VARCHAR(400);
   DECLARE  @V_CDFILLOGOPER VARCHAR(4);
   DECLARE  @V_DTOPER       DATETIME;
/*VARIVEIS DO CURSOR C_CURSOR*/

   DECLARE  @V_ID_COMANDO           VARCHAR(1);

   DECLARE  @V_OLD_CDFILIAL         VARCHAR(4);
   DECLARE  @V_OLD_CDPRODUTO        VARCHAR(10);
   DECLARE  @V_OLD_IDCNTRESTOQ      VARCHAR(1);
   DECLARE  @V_OLD_QTESTOQMIN       DOUBLE PRECISION;
   DECLARE  @V_OLD_CDCCUSTENTRF     VARCHAR(4);
   DECLARE  @V_OLD_CDCCUSTSAIDF     VARCHAR(4);
   DECLARE  @V_OLD_IDPRODATIV       VARCHAR(1);
   DECLARE  @V_OLD_VRPESOUNIDFI     DOUBLE PRECISION;
   DECLARE  @V_OLD_CDALMOXARIFE     VARCHAR(6);
   DECLARE  @V_OLD_CDLOCALESTOQ     VARCHAR(6);
   DECLARE  @V_OLD_VRPTOLQTITAF     DOUBLE PRECISION;
   DECLARE  @V_OLD_VRPTOLVRITAF     DOUBLE PRECISION;
   DECLARE  @V_OLD_CDALMOXINSPR     VARCHAR(6);
   DECLARE  @V_OLD_CDLOCALINSPR     VARCHAR(6);
   DECLARE  @V_OLD_CDALMOXPRACA     VARCHAR(6);
   DECLARE  @V_OLD_CDLOCALPRACA     VARCHAR(6);
   DECLARE  @V_OLD_CDALMOXPRCLI     VARCHAR(6);
   DECLARE  @V_OLD_CDLOCALPRCLI     VARCHAR(6);
   DECLARE  @V_OLD_VRTXADMPROD      DOUBLE PRECISION;
   DECLARE  @V_OLD_CDCTBLIMPLPF     VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLPRODPF     VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLCPROPF     VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLENTRPF     VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLAJUSPF     VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLPRACPF     VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLSAIDPF     VARCHAR(20);
   DECLARE  @V_OLD_QTESTMINSAID     DOUBLE PRECISION;
   DECLARE  @V_OLD_IDUTCTRLLOTE     VARCHAR(1);
   DECLARE  @V_OLD_CDALMOXPRSEMACA  VARCHAR(6);
   DECLARE  @V_OLD_CDLOCALPRSEMACA  VARCHAR(6);
   DECLARE  @V_OLD_CDALMOXREPROV  VARCHAR(6);
   DECLARE  @V_OLD_CDLOCALREPROV  VARCHAR(6);

   DECLARE  @V_NEW_CDFILIAL         VARCHAR(4);
   DECLARE  @V_NEW_CDPRODUTO        VARCHAR(10);
   DECLARE  @V_NEW_IDCNTRESTOQ      VARCHAR(1);
   DECLARE  @V_NEW_QTESTOQMIN       DOUBLE PRECISION;
   DECLARE  @V_NEW_CDCCUSTENTRF     VARCHAR(4);
   DECLARE  @V_NEW_CDCCUSTSAIDF     VARCHAR(4);
   DECLARE  @V_NEW_IDPRODATIV       VARCHAR(1);
   DECLARE  @V_NEW_VRPESOUNIDFI     DOUBLE PRECISION;
   DECLARE  @V_NEW_CDALMOXARIFE     VARCHAR(6);
   DECLARE  @V_NEW_CDLOCALESTOQ     VARCHAR(6);
   DECLARE  @V_NEW_VRPTOLQTITAF     DOUBLE PRECISION;
   DECLARE  @V_NEW_VRPTOLVRITAF     DOUBLE PRECISION;
   DECLARE  @V_NEW_CDALMOXINSPR     VARCHAR(6);
   DECLARE  @V_NEW_CDLOCALINSPR     VARCHAR(6);
   DECLARE  @V_NEW_CDALMOXPRACA     VARCHAR(6);
   DECLARE  @V_NEW_CDLOCALPRACA     VARCHAR(6);
   DECLARE  @V_NEW_CDALMOXPRCLI     VARCHAR(6);
   DECLARE  @V_NEW_CDLOCALPRCLI     VARCHAR(6);
   DECLARE  @V_NEW_VRTXADMPROD      DOUBLE PRECISION;
   DECLARE  @V_NEW_CDCTBLIMPLPF     VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLPRODPF     VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLCPROPF     VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLENTRPF     VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLAJUSPF     VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLPRACPF     VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLSAIDPF     VARCHAR(20);
   DECLARE  @V_NEW_QTESTMINSAID     DOUBLE PRECISION;
   DECLARE  @V_NEW_IDUTCTRLLOTE     VARCHAR(1);
   DECLARE  @V_NEW_CDALMOXPRSEMACA  VARCHAR(6);
   DECLARE  @V_NEW_CDLOCALPRSEMACA  VARCHAR(6);
   DECLARE  @V_NEW_CDALMOXREPROV  VARCHAR(6);
   DECLARE  @V_NEW_CDLOCALREPROV  VARCHAR(6);

BEGIN
   SET @V_TIPO = '0';
   SET @V_CDFILLOGOPER = '';
   EXEC NMUSUARIO @V_USUARIO;
   SET @V_USUARIO = ISNULL(@V_USUARIO, ' ');

   DECLARE C_CURSOR CURSOR FOR
   SELECT
     'U'
         IDCOMANDO,
         DELETED.CDFILIAL,
         DELETED.CDPRODUTO,
         DELETED.IDCNTRESTOQ,
         DELETED.QTESTOQMIN,
         DELETED.CDCCUSTENTRF,
         DELETED.CDCCUSTSAIDF,
         DELETED.IDPRODATIV,
         DELETED.VRPESOUNIDFI,
         DELETED.CDALMOXARIFE,
         DELETED.CDLOCALESTOQ,
         DELETED.VRPTOLQTITAF,
         DELETED.VRPTOLVRITAF,
         DELETED.CDALMOXINSPR,
         DELETED.CDLOCALINSPR,
         DELETED.CDALMOXPRACA,
         DELETED.CDLOCALPRACA,
         DELETED.CDALMOXPRCLI,
         DELETED.CDLOCALPRCLI,
         DELETED.VRTXADMPROD,
         DELETED.CDCTBLIMPLPF,
         DELETED.CDCTBLPRODPF,
         DELETED.CDCTBLCPROPF,
         DELETED.CDCTBLENTRPF,
         DELETED.CDCTBLAJUSPF,
         DELETED.CDCTBLPRACPF,
         DELETED.CDCTBLSAIDPF,
         DELETED.QTESTMINSAID,
         DELETED.IDUTCTRLLOTE,
         DELETED.CDALMOXPRSEMACA,
         DELETED.CDLOCALPRSEMACA,
         DELETED.CDALMOXREPROV,
         DELETED.CDLOCALREPROV,

         INSERTED.CDFILIAL,
         INSERTED.CDPRODUTO,
         INSERTED.IDCNTRESTOQ,
         INSERTED.QTESTOQMIN,
         INSERTED.CDCCUSTENTRF,
         INSERTED.CDCCUSTSAIDF,
         INSERTED.IDPRODATIV,
         INSERTED.VRPESOUNIDFI,
         INSERTED.CDALMOXARIFE,
         INSERTED.CDLOCALESTOQ,
         INSERTED.VRPTOLQTITAF,
         INSERTED.VRPTOLVRITAF,
         INSERTED.CDALMOXINSPR,
         INSERTED.CDLOCALINSPR,
         INSERTED.CDALMOXPRACA,
         INSERTED.CDLOCALPRACA,
         INSERTED.CDALMOXPRCLI,
         INSERTED.CDLOCALPRCLI,
         INSERTED.VRTXADMPROD,
         INSERTED.CDCTBLIMPLPF,
         INSERTED.CDCTBLPRODPF,
         INSERTED.CDCTBLCPROPF,
         INSERTED.CDCTBLENTRPF,
         INSERTED.CDCTBLAJUSPF,
         INSERTED.CDCTBLPRACPF,
         INSERTED.CDCTBLSAIDPF,
         INSERTED.QTESTMINSAID,
         INSERTED.IDUTCTRLLOTE,
         INSERTED.CDALMOXPRSEMACA,
         INSERTED.CDLOCALPRSEMACA,
         INSERTED.CDALMOXREPROV,
         INSERTED.CDLOCALREPROV

    FROM
        DELETED,
        INSERTED
    WHERE
        DELETED.CDFILIAL  = INSERTED.CDFILIAL  AND
        DELETED.CDPRODUTO = INSERTED.CDPRODUTO

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                 @V_OLD_CDFILIAL,
                                 @V_OLD_CDPRODUTO,
                                 @V_OLD_IDCNTRESTOQ,
                                 @V_OLD_QTESTOQMIN,
                                 @V_OLD_CDCCUSTENTRF,
                                 @V_OLD_CDCCUSTSAIDF,
                                 @V_OLD_IDPRODATIV,
                                 @V_OLD_VRPESOUNIDFI,
                                 @V_OLD_CDALMOXARIFE,
                                 @V_OLD_CDLOCALESTOQ,
                                 @V_OLD_VRPTOLQTITAF,
                                 @V_OLD_VRPTOLVRITAF,
                                 @V_OLD_CDALMOXINSPR,
                                 @V_OLD_CDLOCALINSPR,
                                 @V_OLD_CDALMOXPRACA,
                                 @V_OLD_CDLOCALPRACA,
                                 @V_OLD_CDALMOXPRCLI,
                                 @V_OLD_CDLOCALPRCLI,
                                 @V_OLD_VRTXADMPROD,
                                 @V_OLD_CDCTBLIMPLPF,
                                 @V_OLD_CDCTBLPRODPF,
                                 @V_OLD_CDCTBLCPROPF,
                                 @V_OLD_CDCTBLENTRPF,
                                 @V_OLD_CDCTBLAJUSPF,
                                 @V_OLD_CDCTBLPRACPF,
                                 @V_OLD_CDCTBLSAIDPF,
                                 @V_OLD_QTESTMINSAID,
                                 @V_OLD_IDUTCTRLLOTE,
                                 @V_OLD_CDALMOXPRSEMACA,
                                 @V_OLD_CDLOCALPRSEMACA,
                                 @V_OLD_CDALMOXREPROV,
                                 @V_OLD_CDLOCALREPROV,

                                 @V_NEW_CDFILIAL,
                                 @V_NEW_CDPRODUTO,
                                 @V_NEW_IDCNTRESTOQ,
                                 @V_NEW_QTESTOQMIN,
                                 @V_NEW_CDCCUSTENTRF,
                                 @V_NEW_CDCCUSTSAIDF,
                                 @V_NEW_IDPRODATIV,
                                 @V_NEW_VRPESOUNIDFI,
                                 @V_NEW_CDALMOXARIFE,
                                 @V_NEW_CDLOCALESTOQ,
                                 @V_NEW_VRPTOLQTITAF,
                                 @V_NEW_VRPTOLVRITAF,
                                 @V_NEW_CDALMOXINSPR,
                                 @V_NEW_CDLOCALINSPR,
                                 @V_NEW_CDALMOXPRACA,
                                 @V_NEW_CDLOCALPRACA,
                                 @V_NEW_CDALMOXPRCLI,
                                 @V_NEW_CDLOCALPRCLI,
                                 @V_NEW_VRTXADMPROD,
                                 @V_NEW_CDCTBLIMPLPF,
                                 @V_NEW_CDCTBLPRODPF,
                                 @V_NEW_CDCTBLCPROPF,
                                 @V_NEW_CDCTBLENTRPF,
                                 @V_NEW_CDCTBLAJUSPF,
                                 @V_NEW_CDCTBLPRACPF,
                                 @V_NEW_CDCTBLSAIDPF,
                                 @V_NEW_QTESTMINSAID,
                                 @V_NEW_IDUTCTRLLOTE,
                                 @V_NEW_CDALMOXPRSEMACA,
                                 @V_NEW_CDLOCALPRSEMACA,
                                 @V_NEW_CDALMOXREPROV,
                                 @V_NEW_CDLOCALREPROV;

   WHILE (@@FETCH_STATUS = 0) BEGIN
      SET @V_DESC = 'CodProd=' + @V_OLD_CDPRODUTO;
      IF @V_ID_COMANDO = 'U' /*UPDATING*/ BEGIN
         IF (@V_OLD_IDCNTRESTOQ  <> @V_NEW_IDCNTRESTOQ)  OR
            (@V_OLD_QTESTOQMIN   <> @V_NEW_QTESTOQMIN)   OR
            (@V_OLD_CDCCUSTENTRF <> @V_NEW_CDCCUSTENTRF) OR
            (@V_OLD_CDCCUSTSAIDF <> @V_NEW_CDCCUSTSAIDF) OR
            (@V_OLD_IDPRODATIV   <> @V_NEW_IDPRODATIV)   OR
            (@V_OLD_VRPESOUNIDFI <> @V_NEW_VRPESOUNIDFI) OR
            (@V_OLD_CDALMOXARIFE <> @V_NEW_CDALMOXARIFE) OR
            (@V_OLD_CDLOCALESTOQ <> @V_NEW_CDLOCALESTOQ) OR
            (@V_OLD_VRPTOLQTITAF <> @V_NEW_VRPTOLQTITAF) OR
            (@V_OLD_VRPTOLVRITAF <> @V_NEW_VRPTOLVRITAF) OR
            (@V_OLD_CDALMOXINSPR <> @V_NEW_CDALMOXINSPR) OR
            (@V_OLD_CDLOCALINSPR <> @V_NEW_CDLOCALINSPR) OR
            (@V_OLD_CDALMOXPRACA <> @V_NEW_CDALMOXPRACA) OR
            (@V_OLD_CDLOCALPRACA <> @V_NEW_CDLOCALPRACA) OR
            (@V_OLD_CDALMOXPRCLI <> @V_NEW_CDALMOXPRCLI) OR
            (@V_OLD_CDLOCALPRCLI <> @V_NEW_CDLOCALPRCLI) OR
            (@V_OLD_VRTXADMPROD  <> @V_NEW_VRTXADMPROD)  OR
            (@V_OLD_CDALMOXPRSEMACA <> @V_NEW_CDALMOXPRSEMACA) OR
            (@V_OLD_CDLOCALPRSEMACA <> @V_NEW_CDLOCALPRSEMACA) OR
            (ISNULL(@V_OLD_CDCTBLIMPLPF,'!') <> ISNULL(@V_NEW_CDCTBLIMPLPF,'!')) OR
            (ISNULL(@V_OLD_CDCTBLPRODPF,'!') <> ISNULL(@V_NEW_CDCTBLPRODPF,'!')) OR
            (ISNULL(@V_OLD_CDCTBLCPROPF,'!') <> ISNULL(@V_NEW_CDCTBLCPROPF,'!')) OR
            (ISNULL(@V_OLD_CDCTBLENTRPF,'!') <> ISNULL(@V_NEW_CDCTBLENTRPF,'!')) OR
            (ISNULL(@V_OLD_CDCTBLAJUSPF,'!') <> ISNULL(@V_NEW_CDCTBLAJUSPF,'!')) OR
            (ISNULL(@V_OLD_CDCTBLPRACPF,'!') <> ISNULL(@V_NEW_CDCTBLPRACPF,'!')) OR
            (ISNULL(@V_OLD_CDCTBLSAIDPF,'!') <> ISNULL(@V_NEW_CDCTBLSAIDPF,'!')) OR
            (ISNULL(@V_OLD_QTESTMINSAID, 0 ) <> ISNULL(@V_NEW_QTESTMINSAID, 0 )) OR
            (ISNULL(@V_OLD_IDUTCTRLLOTE,'!') <> ISNULL(@V_NEW_IDUTCTRLLOTE,'!')) OR
            (@V_OLD_CDALMOXREPROV <> @V_NEW_CDALMOXREPROV) OR
            (@V_OLD_CDLOCALREPROV <> @V_NEW_CDLOCALREPROV) BEGIN

            SET @V_TIPO = '2';
            SET @V_ITPESQ       = @V_OLD_CDFILIAL+@V_OLD_CDPRODUTO;
            SET @V_CDFILLOGOPER = @V_OLD_CDFILIAL;
         END;
      END;

      IF ISNULL(@V_OLD_IDCNTRESTOQ, '') <> ISNULL(@V_NEW_IDCNTRESTOQ, '') BEGIN
         SET @V_DESC = @V_DESC + ' CtrEst=' + @V_NEW_IDCNTRESTOQ;
      END;

      IF ISNULL(@V_OLD_QTESTOQMIN, '') <> ISNULL(@V_NEW_QTESTOQMIN, '') BEGIN
         SET @V_DESC = @V_DESC + ' EstoqMin=' + CONVERT(VARCHAR, ROUND(@V_NEW_QTESTOQMIN, 5));
      END;

      IF ISNULL(@V_OLD_CDCCUSTENTRF, '') <> ISNULL(@V_NEW_CDCCUSTENTRF, '') BEGIN
         SET @V_DESC = @V_DESC + ' CCustEntr=' + @V_NEW_CDCCUSTENTRF;
      END;

      IF ISNULL(@V_OLD_CDCCUSTSAIDF, '') <> ISNULL(@V_NEW_CDCCUSTSAIDF, '') BEGIN
         SET @V_DESC = @V_DESC + ' CCustSaid=' + @V_NEW_CDCCUSTSAIDF;
      END;

      IF ISNULL(@V_OLD_IDPRODATIV, '') <> ISNULL(@V_NEW_IDPRODATIV,'') BEGIN
         SET @V_DESC = @V_DESC + ' ProdAtiv=' + @V_NEW_IDPRODATIV;
      END;

      IF ISNULL(@V_OLD_VRPESOUNIDFI, '') <> ISNULL(@V_NEW_VRPESOUNIDFI, '') BEGIN
         SET @V_DESC = @V_DESC + ' PesoUnid=' + CONVERT(VARCHAR, ROUND(@V_NEW_VRPESOUNIDFI, 5));
      END;

      IF ISNULL(@V_OLD_CDALMOXARIFE, '') <> ISNULL(@V_NEW_CDALMOXARIFE,'') BEGIN
         SET @V_DESC = @V_DESC + ' Almox=' + @V_NEW_CDALMOXARIFE;
      END;

      IF ISNULL(@V_OLD_CDLOCALESTOQ, '') <> ISNULL(@V_NEW_CDLOCALESTOQ,'') BEGIN
         SET @V_DESC = @V_DESC + ' LocEst=' + @V_NEW_CDLOCALESTOQ;
      END;

      IF ISNULL(@V_OLD_VRPTOLQTITAF,'') <> ISNULL(@V_NEW_VRPTOLQTITAF,'') BEGIN
         SET @V_DESC = @V_DESC + ' TolQtItAF=' + CONVERT(VARCHAR, ROUND(@V_NEW_VRPTOLQTITAF, 5));
      END;

      IF ISNULL(@V_OLD_VRPTOLVRITAF,'') <>  ISNULL(@V_NEW_VRPTOLVRITAF,'') BEGIN
         SET @V_DESC = @V_DESC + ' TolVrItAF=' + CONVERT(VARCHAR, ROUND(@V_NEW_VRPTOLVRITAF, 5));
      END;

      IF ISNULL(@V_OLD_CDALMOXINSPR,'') <> ISNULL(@V_NEW_CDALMOXINSPR,'') BEGIN
         SET @V_DESC = @V_DESC + ' AlmInsuPr=' + @V_NEW_CDALMOXINSPR;
      END;

      IF ISNULL(@V_OLD_CDLOCALINSPR,'') <> ISNULL(@V_NEW_CDLOCALINSPR,'') BEGIN
         SET @V_DESC = @V_DESC + ' LcInsuPr=' + @V_NEW_CDLOCALINSPR;
      END;

      IF ISNULL(@V_OLD_CDALMOXPRACA, '') <> ISNULL(@V_NEW_CDALMOXPRACA, '') BEGIN
         SET @V_DESC = @V_DESC + ' AlmPrAca=' + @V_NEW_CDALMOXPRACA;
      END;

      IF ISNULL(@V_OLD_CDLOCALPRACA, '') <> ISNULL(@V_NEW_CDLOCALPRACA, '') BEGIN
         SET @V_DESC = @V_DESC + ' LcPrAca=' + @V_NEW_CDLOCALPRACA;
      END;

      IF ISNULL(@V_OLD_CDALMOXPRCLI, '') <> ISNULL(@V_NEW_CDALMOXPRCLI, '') BEGIN
         SET @V_DESC = @V_DESC + ' AlmPrCli=' + @V_NEW_CDALMOXPRCLI;
      END;

      IF ISNULL(@V_OLD_CDLOCALPRCLI, '') <> ISNULL(@V_NEW_CDLOCALPRCLI, '') BEGIN
         SET @V_DESC = @V_DESC + ' LcPrCli=' + @V_NEW_CDLOCALPRCLI;
      END;

      IF ISNULL(@V_OLD_VRTXADMPROD, '') <> ISNULL(@V_NEW_VRTXADMPROD, '') BEGIN
         SET @V_DESC = @V_DESC + ' TxAdmPr=' +  CONVERT(VARCHAR, ROUND(@V_NEW_VRTXADMPROD, 5));
      END;

      IF ISNULL(@V_OLD_CDCTBLIMPLPF,'!') <> ISNULL(@V_NEW_CDCTBLIMPLPF,'!') BEGIN
         SET @V_DESC = @V_DESC +  ' CCtbImpl=' + @V_NEW_CDCTBLIMPLPF;
      END;

      IF ISNULL(@V_OLD_CDCTBLPRODPF, '!') <> ISNULL(@V_NEW_CDCTBLPRODPF, '!') BEGIN
         SET @V_DESC = @V_DESC + ' CCtbProduo=' + @V_NEW_CDCTBLPRODPF;
      END;

      IF ISNULL(@V_OLD_CDCTBLCPROPF, '!') <> ISNULL(@V_NEW_CDCTBLCPROPF, '!') BEGIN
         SET @V_DESC = @V_DESC + ' CCtbCProva=' + @V_NEW_CDCTBLCPROPF;
      END;

      IF ISNULL(@V_OLD_CDCTBLENTRPF, '!') <> ISNULL(@V_NEW_CDCTBLENTRPF, '!') BEGIN
         SET @V_DESC = @V_DESC + ' CCtbEntr=' + @V_NEW_CDCTBLENTRPF;
      END;

      IF ISNULL(@V_OLD_CDCTBLAJUSPF, '!') <> ISNULL(@V_NEW_CDCTBLAJUSPF, '!') BEGIN
         SET @V_DESC = @V_DESC +  ' CCtbAju=' + @V_NEW_CDCTBLAJUSPF;
      END;

      IF ISNULL(@V_OLD_CDCTBLPRACPF, '!') <> ISNULL(@V_NEW_CDCTBLPRACPF, '!') BEGIN
         SET @V_DESC = @V_DESC +  ' CCtbCMV=' + @V_NEW_CDCTBLPRACPF;
      END;

      IF ISNULL(@V_OLD_CDCTBLSAIDPF, '!') <> ISNULL(@V_NEW_CDCTBLSAIDPF, '!') BEGIN
         SET @V_DESC = @V_DESC + ' CCtbSaid=' + @V_NEW_CDCTBLSAIDPF;
      END;

      IF ISNULL(@V_OLD_QTESTMINSAID, 0) <> ISNULL(@V_NEW_QTESTMINSAID, 0) BEGIN
         SET @V_DESC = @V_DESC + ' EstMinSa=' +  CONVERT(VARCHAR, ROUND(@V_NEW_QTESTMINSAID, 5));
      END;

      IF ISNULL(@V_OLD_IDUTCTRLLOTE, '!') <> ISNULL(@V_NEW_IDUTCTRLLOTE, '!') BEGIN
         SET @V_DESC = @V_DESC + ' CtrLote=' + @V_NEW_IDUTCTRLLOTE;
      END;

      IF ISNULL(@V_OLD_CDALMOXPRSEMACA, '') <> ISNULL(@V_NEW_CDALMOXPRSEMACA, '') BEGIN
         SET @V_DESC = @V_DESC + ' AlmPrSemAc=' + @V_NEW_CDALMOXPRSEMACA;
      END;

      IF ISNULL(@V_OLD_CDLOCALPRSEMACA, '') <> ISNULL(@V_NEW_CDLOCALPRSEMACA, '') BEGIN
         SET @V_DESC = @V_DESC + ' LcPrSemAc=' + @V_NEW_CDLOCALPRSEMACA;
      END;

      IF ISNULL(@V_OLD_CDALMOXREPROV, '') <> ISNULL(@V_NEW_CDALMOXREPROV, '') BEGIN
         SET @V_DESC = @V_DESC + ' AlmReprov=' + @V_NEW_CDALMOXREPROV;
      END;

      IF ISNULL(@V_OLD_CDLOCALREPROV, '') <> ISNULL(@V_NEW_CDLOCALREPROV, '') BEGIN
         SET @V_DESC = @V_DESC + ' LcReprov=' + @V_NEW_CDLOCALREPROV;
      END;

      IF @V_TIPO <> '0' BEGIN
         IF NOT (@V_DESC IS NULL OR @V_DESC = '')  BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();
               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER,
                   IDTIPOOPER, CDPESQITEM, DSOPERACAO, CDFILLOGOPER)
               VALUES
                  ('PRODFILI',  @V_DTOPER, @V_USUARIO,
                   @V_TIPO,     @V_ITPESQ, @V_DESC, @V_CDFILLOGOPER);
            END;
         END;
      END;

      FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                    @V_OLD_CDFILIAL,
                                    @V_OLD_CDPRODUTO,
                                    @V_OLD_IDCNTRESTOQ,
                                    @V_OLD_QTESTOQMIN,
                                    @V_OLD_CDCCUSTENTRF,
                                    @V_OLD_CDCCUSTSAIDF,
                                    @V_OLD_IDPRODATIV,
                                    @V_OLD_VRPESOUNIDFI,
                                    @V_OLD_CDALMOXARIFE,
                                    @V_OLD_CDLOCALESTOQ,
                                    @V_OLD_VRPTOLQTITAF,
                                    @V_OLD_VRPTOLVRITAF,
                                    @V_OLD_CDALMOXINSPR,
                                    @V_OLD_CDLOCALINSPR,
                                    @V_OLD_CDALMOXPRACA,
                                    @V_OLD_CDLOCALPRACA,
                                    @V_OLD_CDALMOXPRCLI,
                                    @V_OLD_CDLOCALPRCLI,
                                    @V_OLD_VRTXADMPROD,
                                    @V_OLD_CDCTBLIMPLPF,
                                    @V_OLD_CDCTBLPRODPF,
                                    @V_OLD_CDCTBLCPROPF,
                                    @V_OLD_CDCTBLENTRPF,
                                    @V_OLD_CDCTBLAJUSPF,
                                    @V_OLD_CDCTBLPRACPF,
                                    @V_OLD_CDCTBLSAIDPF,
                                    @V_OLD_QTESTMINSAID,
                                    @V_OLD_IDUTCTRLLOTE,
                                    @V_OLD_CDALMOXPRSEMACA,
                                    @V_OLD_CDLOCALPRSEMACA,
                                    @V_OLD_CDALMOXREPROV,
                                    @V_OLD_CDLOCALREPROV,

                                    @V_NEW_CDFILIAL,
                                    @V_NEW_CDPRODUTO,
                                    @V_NEW_IDCNTRESTOQ,
                                    @V_NEW_QTESTOQMIN,
                                    @V_NEW_CDCCUSTENTRF,
                                    @V_NEW_CDCCUSTSAIDF,
                                    @V_NEW_IDPRODATIV,
                                    @V_NEW_VRPESOUNIDFI,
                                    @V_NEW_CDALMOXARIFE,
                                    @V_NEW_CDLOCALESTOQ,
                                    @V_NEW_VRPTOLQTITAF,
                                    @V_NEW_VRPTOLVRITAF,
                                    @V_NEW_CDALMOXINSPR,
                                    @V_NEW_CDLOCALINSPR,
                                    @V_NEW_CDALMOXPRACA,
                                    @V_NEW_CDLOCALPRACA,
                                    @V_NEW_CDALMOXPRCLI,
                                    @V_NEW_CDLOCALPRCLI,
                                    @V_NEW_VRTXADMPROD,
                                    @V_NEW_CDCTBLIMPLPF,
                                    @V_NEW_CDCTBLPRODPF,
                                    @V_NEW_CDCTBLCPROPF,
                                    @V_NEW_CDCTBLENTRPF,
                                    @V_NEW_CDCTBLAJUSPF,
                                    @V_NEW_CDCTBLPRACPF,
                                    @V_NEW_CDCTBLSAIDPF,
                                    @V_NEW_QTESTMINSAID,
                                    @V_NEW_IDUTCTRLLOTE,
                                    @V_NEW_CDALMOXPRSEMACA,
                                    @V_NEW_CDLOCALPRSEMACA,
                                    @V_NEW_CDALMOXREPROV,
                                    @V_NEW_CDLOCALREPROV;

   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO



-- VERSAO --
EXEC ATUVEROBJ 'LOG_EST_PRODFILI','5.07.004';
GO





